Skip to main content

MetadataMalformedDepends

All Cookstyle Cops


The department is: Chef/Correctness

The full name of the cop is: Chef/Correctness/MetadataMalformedDepends


Enabled by defaultSupports autocorrectionTarget Chef Version
EnabledYesAll Versions

metadata.rb cookbook dependencies and version constraints should be comma separated.

Examples

incorrect

depends 'some_awesome_cookbook' '= 4.5.5'
depends 'some_other_cool_cookbook' '< 8.0'

correct

depends 'some_awesome_cookbook', '= 4.5.5'
depends 'some_other_cool_cookbook', '< 8.0'

Configurable attributes

NameDefault valueConfigurable values
Version Added7.16String
Include
  • **/metadata.rb
Array

Was this page helpful?

×








Search Results